- wiki_page_title @page

.wiki-page-header.top-area.has-sidebar-toggle.flex-column.flex-lg-row
  = wiki_sidebar_toggle_button

  .nav-text.flex-fill
    %span.wiki-last-edit-by
      - if @page.last_version
        = (_("Last edited by %{name}") % { name: "<strong>#{@page.last_version.author_name}</strong>" }).html_safe
        = time_ago_with_tooltip(@page.last_version.authored_date)

  .nav-controls.pb-md-3.pb-lg-0
    = render 'shared/wikis/main_links'

- if @page.historical?
  .warning_message
    = s_("WikiHistoricalPage|This is an old version of this page.")
    - most_recent_link = link_to s_("WikiHistoricalPage|most recent version"), wiki_page_path(@wiki, @page)
    - history_link = link_to s_("WikiHistoricalPage|history"), wiki_page_path(@wiki, @page, action: :history)
    = (s_("WikiHistoricalPage|You can view the %{most_recent_link} or browse the %{history_link}.") % { most_recent_link: most_recent_link, history_link: history_link }).html_safe

.gl-mt-5.gl-mb-3
  .gl-display-flex.gl-justify-content-space-between
    %h2.gl-mt-0.gl-mb-5{ data: { qa_selector: 'wiki_page_title', testid: 'wiki_page_title' } }= @page.human_title
    %div
      - if can?(current_user, :create_wiki, @wiki.container) && @page.latest? && @valid_encoding
        = link_to sprite_icon('pencil', css_class: 'gl-icon'), wiki_page_path(@wiki, @page, action: :edit), title: 'Edit', role: "button", class: 'btn gl-button btn-icon btn-default js-wiki-edit', data: { qa_selector: 'edit_page_button', testid: 'wiki_edit_button' }
  .js-wiki-page-content.md.gl-pt-2{ data: { qa_selector: 'wiki_page_content', testid: 'wiki_page_content', tracking_context: wiki_page_tracking_context(@page).to_json } }
    = render_wiki_content(@page)

= render 'shared/wikis/sidebar'
